Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class CallCenterParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.CallCenterParams

    public class CallCenterParams

extends Object

Specifies the common as well as call-type specific parameters for a blend and multi-skill call center model. These include random variate generators for service times, patience times and arrivals as well as information on the routing. This complex type defines attributes for encoding the simple information such as the number and duration of main periods in the model, the default time unit, etc. Nested elements are used for more complex information such as the description of a call type, an agent group, and routing parameters.

Java class for CallCenterParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CallCenterParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="properties" type="{http://www.iro.umontreal.ca/lecuyer/ssj}PropertiesParams" minOccurs="0"/>
             <element name="busynessGen" type="{http://www.iro.umontreal.ca/lecuyer/ssj}RandomVariateGenParams" minOccurs="0"/>
             <element name="defaultArrivalProcess" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}ArrivalProcessParams" minOccurs="0"/>
             <element name="inboundType" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}InboundTypeParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="arrivalProcess" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}ArrivalProcessParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="outboundType" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}OutboundTypeParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dialer" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}DialerParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="agentGroup" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}AgentGroupParams" maxOccurs="unbounded"/>
             <element name="shiftMatrix" type="{http://www.iro.umontreal.ca/lecuyer/ssj}BooleanArray" minOccurs="0"/>
             <element name="shift" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}ScheduleShiftParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="router" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}RouterParams"/>
             <element name="serviceLevel" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/app}ServiceLevelParams" maxOccurs="unbounded"/>
             <element name="inboundTypeSegment" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}SegmentParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="outboundTypeSegment" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}SegmentParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="callTypeSegment" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}SegmentParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="agentGroupSegment" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}SegmentParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="periodSegment" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}SegmentParams" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="defaultUnit" type="{http://www.iro.umontreal.ca/lecuyer/ssj}TimeUnitParam" default="HOUR" />
           <attribute name="queueCapacity" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="numPeriods" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}positiveInt" />
           <attribute name="periodDuration" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDuration" />
           <attribute name="startingDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           <attribute name="startingTime" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDuration" />
           <attribute name="arrivalsMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="patienceTimesMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="serviceTimesMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="conferenceTimesMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="preServiceTimesNoConfMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="transferTimesMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="previewTimesMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="convertSchedulesToStaffing" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="agentsMult" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeDouble" default="1" />
           <attribute name="waitingTimePredictorClass" type="{http://www.w3.org/2001/XMLSchema}string" default="LastWaitingTimePredictor" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<AgentGroupParams>` | `agentGroups`
`protected List<SegmentParams>` | `agentGroupSegments`
`protected Double` | `agentsMult`
`protected List<ArrivalProcessParams>` | `arrivalProcesses`
`protected Double` | `arrivalsMult`
`protected RandomVariateGenParams` | `busynessGen`
`protected List<SegmentParams>` | `callTypeSegments`
`protected Double` | `conferenceTimesMult`
`protected Boolean` | `convertSchedulesToStaffing`
`protected ArrivalProcessParams` | `defaultArrivalProcess`
`protected TimeUnitParam` | `defaultUnit`
`protected List<DialerParams>` | `dialers`
`protected List<InboundTypeParams>` | `inboundTypes`
`protected List<SegmentParams>` | `inboundTypeSegments`
`protected int` | `numPeriods`
`protected List<OutboundTypeParams>` | `outboundTypes`
`protected List<SegmentParams>` | `outboundTypeSegments`
`protected Double` | `patienceTimesMult`
`protected Duration` | `periodDuration`
`protected List<SegmentParams>` | `periodSegments`
`protected Double` | `preServiceTimesNoConfMult`
`protected Double` | `previewTimesMult`
`protected PropertiesParams` | `properties`
`protected Integer` | `queueCapacity`
`protected RouterParams` | `router`
`protected List<ServiceLevelParams>` | `serviceLevelParams`
`protected Double` | `serviceTimesMult`
`protected BooleanArray` | `shiftMatrix`
`protected List<ScheduleShiftParams>` | `shifts`
`protected XMLGregorianCalendar` | `startingDate`
`protected Duration` | `startingTime`
`protected Double` | `transferTimesMult`
`protected String` | `waitingTimePredictorClass`

Constructor Summary
`CallCenterParams()`

Method Summary
`List<AgentGroupParams>` | `getAgentGroups()` Gets the value of the agentGroups property.
`List<SegmentParams>` | `getAgentGroupSegments()` Gets the value of the agentGroupSegments property.
`double` | `getAgentsMult()` Gets the value of the agentsMult property.
`List<ArrivalProcessParams>` | `getArrivalProcesses()` Gets the value of the arrivalProcesses property.
`double` | `getArrivalsMult()` Gets the value of the arrivalsMult property.
`RandomVariateGenParams` | `getBusynessGen()` Gets the value of the busynessGen property.
`List<SegmentParams>` | `getCallTypeSegments()` Gets the value of the callTypeSegments property.
`double` | `getConferenceTimesMult()` Gets the value of the conferenceTimesMult property.
`ArrivalProcessParams` | `getDefaultArrivalProcess()` Gets the value of the defaultArrivalProcess property.
`TimeUnitParam` | `getDefaultUnit()` Gets the value of the defaultUnit property.
`List<DialerParams>` | `getDialers()` Gets the value of the dialers property.
`List<InboundTypeParams>` | `getInboundTypes()` Gets the value of the inboundTypes property.
`List<SegmentParams>` | `getInboundTypeSegments()` Gets the value of the inboundTypeSegments property.
`int` | `getNumPeriods()` Gets the value of the numPeriods property.
`List<OutboundTypeParams>` | `getOutboundTypes()` Gets the value of the outboundTypes property.
`List<SegmentParams>` | `getOutboundTypeSegments()` Gets the value of the outboundTypeSegments property.
`double` | `getPatienceTimesMult()` Gets the value of the patienceTimesMult property.
`Duration` | `getPeriodDuration()` Gets the value of the periodDuration property.
`List<SegmentParams>` | `getPeriodSegments()` Gets the value of the periodSegments property.
`double` | `getPreServiceTimesNoConfMult()` Gets the value of the preServiceTimesNoConfMult property.
`double` | `getPreviewTimesMult()` Gets the value of the previewTimesMult property.
`PropertiesParams` | `getProperties()` Gets the value of the properties property.
`int` | `getQueueCapacity()` Gets the value of the queueCapacity property.
`RouterParams` | `getRouter()` Gets the value of the router property.
`List<ServiceLevelParams>` | `getServiceLevelParams()` Gets the value of the serviceLevelParams property.
`double` | `getServiceTimesMult()` Gets the value of the serviceTimesMult property.
`BooleanArray` | `getShiftMatrix()` Gets the value of the shiftMatrix property.
`List<ScheduleShiftParams>` | `getShifts()` Gets the value of the shifts property.
`XMLGregorianCalendar` | `getStartingDate()` Gets the value of the startingDate property.
`Duration` | `getStartingTime()` Gets the value of the startingTime property.
`double` | `getTransferTimesMult()` Gets the value of the transferTimesMult property.
`String` | `getWaitingTimePredictorClass()` Gets the value of the waitingTimePredictorClass property.
`boolean` | `isConvertSchedulesToStaffing()` Gets the value of the convertSchedulesToStaffing property.
`boolean` | `isSetAgentGroups()`
`boolean` | `isSetAgentGroupSegments()`
`boolean` | `isSetAgentsMult()`
`boolean` | `isSetArrivalProcesses()`
`boolean` | `isSetArrivalsMult()`
`boolean` | `isSetBusynessGen()`
`boolean` | `isSetCallTypeSegments()`
`boolean` | `isSetConferenceTimesMult()`
`boolean` | `isSetConvertSchedulesToStaffing()`
`boolean` | `isSetDefaultArrivalProcess()`
`boolean` | `isSetDefaultUnit()`
`boolean` | `isSetDialers()`
`boolean` | `isSetInboundTypes()`
`boolean` | `isSetInboundTypeSegments()`
`boolean` | `isSetNumPeriods()`
`boolean` | `isSetOutboundTypes()`
`boolean` | `isSetOutboundTypeSegments()`
`boolean` | `isSetPatienceTimesMult()`
`boolean` | `isSetPeriodDuration()`
`boolean` | `isSetPeriodSegments()`
`boolean` | `isSetPreServiceTimesNoConfMult()`
`boolean` | `isSetPreviewTimesMult()`
`boolean` | `isSetProperties()`
`boolean` | `isSetQueueCapacity()`
`boolean` | `isSetRouter()`
`boolean` | `isSetServiceLevelParams()`
`boolean` | `isSetServiceTimesMult()`
`boolean` | `isSetShiftMatrix()`
`boolean` | `isSetShifts()`
`boolean` | `isSetStartingDate()`
`boolean` | `isSetStartingTime()`
`boolean` | `isSetTransferTimesMult()`
`boolean` | `isSetWaitingTimePredictorClass()`
`void` | `setAgentsMult(double value)` Sets the value of the agentsMult property.
`void` | `setArrivalsMult(double value)` Sets the value of the arrivalsMult property.
`void` | `setBusynessGen(RandomVariateGenParams value)` Sets the value of the busynessGen property.
`void` | `setConferenceTimesMult(double value)` Sets the value of the conferenceTimesMult property.
`void` | `setConvertSchedulesToStaffing(boolean value)` Sets the value of the convertSchedulesToStaffing property.
`void` | `setDefaultArrivalProcess(ArrivalProcessParams value)` Sets the value of the defaultArrivalProcess property.
`void` | `setDefaultUnit(TimeUnitParam value)` Sets the value of the defaultUnit property.
`void` | `setNumPeriods(int value)` Sets the value of the numPeriods property.
`void` | `setPatienceTimesMult(double value)` Sets the value of the patienceTimesMult property.
`void` | `setPeriodDuration(Duration value)` Sets the value of the periodDuration property.
`void` | `setPreServiceTimesNoConfMult(double value)` Sets the value of the preServiceTimesNoConfMult property.
`void` | `setPreviewTimesMult(double value)` Sets the value of the previewTimesMult property.
`void` | `setProperties(PropertiesParams value)` Sets the value of the properties property.
`void` | `setQueueCapacity(int value)` Sets the value of the queueCapacity property.
`void` | `setRouter(RouterParams value)` Sets the value of the router property.
`void` | `setServiceTimesMult(double value)` Sets the value of the serviceTimesMult property.
`void` | `setShiftMatrix(BooleanArray value)` Sets the value of the shiftMatrix property.
`void` | `setStartingDate(XMLGregorianCalendar value)` Sets the value of the startingDate property.
`void` | `setStartingTime(Duration value)` Sets the value of the startingTime property.
`void` | `setTransferTimesMult(double value)` Sets the value of the transferTimesMult property.
`void` | `setWaitingTimePredictorClass(String value)` Sets the value of the waitingTimePredictorClass property.
`void` | `unsetAgentGroups()`
`void` | `unsetAgentGroupSegments()`
`void` | `unsetAgentsMult()`
`void` | `unsetArrivalProcesses()`
`void` | `unsetArrivalsMult()`
`void` | `unsetCallTypeSegments()`
`void` | `unsetConferenceTimesMult()`
`void` | `unsetConvertSchedulesToStaffing()`
`void` | `unsetDialers()`
`void` | `unsetInboundTypes()`
`void` | `unsetInboundTypeSegments()`
`void` | `unsetOutboundTypes()`
`void` | `unsetOutboundTypeSegments()`
`void` | `unsetPatienceTimesMult()`
`void` | `unsetPeriodSegments()`
`void` | `unsetPreServiceTimesNoConfMult()`
`void` | `unsetPreviewTimesMult()`
`void` | `unsetQueueCapacity()`
`void` | `unsetServiceLevelParams()`
`void` | `unsetServiceTimesMult()`
`void` | `unsetShifts()`
`void` | `unsetTransferTimesMult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected PropertiesParams properties

### busynessGen

    protected RandomVariateGenParams busynessGen

### defaultArrivalProcess

    protected ArrivalProcessParams defaultArrivalProcess

### inboundTypes

    protected List<InboundTypeParams> inboundTypes

### arrivalProcesses

    protected List<ArrivalProcessParams> arrivalProcesses

### outboundTypes

    protected List<OutboundTypeParams> outboundTypes

### dialers

    protected List<DialerParams> dialers

### agentGroups

    protected List<AgentGroupParams> agentGroups

### shiftMatrix

    protected BooleanArray shiftMatrix

### shifts

    protected List<ScheduleShiftParams> shifts

### router

    protected RouterParams router

### serviceLevelParams

    protected List<ServiceLevelParams> serviceLevelParams

### inboundTypeSegments

    protected List<SegmentParams> inboundTypeSegments

### outboundTypeSegments

    protected List<SegmentParams> outboundTypeSegments

### callTypeSegments

    protected List<SegmentParams> callTypeSegments

### agentGroupSegments

    protected List<SegmentParams> agentGroupSegments

### periodSegments

    protected List<SegmentParams> periodSegments

### defaultUnit

    protected TimeUnitParam defaultUnit

### queueCapacity

    protected Integer queueCapacity

### numPeriods

    protected int numPeriods

### periodDuration

    protected Duration periodDuration

### startingDate

    protected XMLGregorianCalendar startingDate

### startingTime

    protected Duration startingTime

### arrivalsMult

    protected Double arrivalsMult

### patienceTimesMult

    protected Double patienceTimesMult

### serviceTimesMult

    protected Double serviceTimesMult

### conferenceTimesMult

    protected Double conferenceTimesMult

### preServiceTimesNoConfMult

    protected Double preServiceTimesNoConfMult

### transferTimesMult

    protected Double transferTimesMult

### previewTimesMult

    protected Double previewTimesMult

### convertSchedulesToStaffing

    protected Boolean convertSchedulesToStaffing

### agentsMult

    protected Double agentsMult

### waitingTimePredictorClass

    protected String waitingTimePredictorClass

Constructor Detail

### CallCenterParams

    public CallCenterParams()

Method Detail

### getProperties

    public PropertiesParams getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesParams`

### setProperties

    public void setProperties(PropertiesParams value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetProperties

    public boolean isSetProperties()

### getBusynessGen

    public RandomVariateGenParams getBusynessGen()

  Gets the value of the busynessGen property.

  Returns:
    possible object is `RandomVariateGenParams`

### setBusynessGen

    public void setBusynessGen(RandomVariateGenParams value)

  Sets the value of the busynessGen property.

  Parameters:
    `value` - allowed object is `RandomVariateGenParams`

### isSetBusynessGen

    public boolean isSetBusynessGen()

### getDefaultArrivalProcess

    public ArrivalProcessParams getDefaultArrivalProcess()

  Gets the value of the defaultArrivalProcess property.

  Returns:
    possible object is `ArrivalProcessParams`

### setDefaultArrivalProcess

    public void setDefaultArrivalProcess(ArrivalProcessParams value)

  Sets the value of the defaultArrivalProcess property.

  Parameters:
    `value` - allowed object is `ArrivalProcessParams`

### isSetDefaultArrivalProcess

    public boolean isSetDefaultArrivalProcess()

### getInboundTypes

    public List<InboundTypeParams> getInboundTypes()

  Gets the value of the inboundTypes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inboundTypes property.

  For example, to add a new item, do as follows:

          getInboundTypes().add(newItem);

  Objects of the following type(s) are allowed in the list `InboundTypeParams`

### isSetInboundTypes

    public boolean isSetInboundTypes()

### unsetInboundTypes

    public void unsetInboundTypes()

### getArrivalProcesses

    public List<ArrivalProcessParams> getArrivalProcesses()

  Gets the value of the arrivalProcesses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the arrivalProcesses property.

  For example, to add a new item, do as follows:

          getArrivalProcesses().add(newItem);

  Objects of the following type(s) are allowed in the list `ArrivalProcessParams`

### isSetArrivalProcesses

    public boolean isSetArrivalProcesses()

### unsetArrivalProcesses

    public void unsetArrivalProcesses()

### getOutboundTypes

    public List<OutboundTypeParams> getOutboundTypes()

  Gets the value of the outboundTypes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outboundTypes property.

  For example, to add a new item, do as follows:

          getOutboundTypes().add(newItem);

  Objects of the following type(s) are allowed in the list `OutboundTypeParams`

### isSetOutboundTypes

    public boolean isSetOutboundTypes()

### unsetOutboundTypes

    public void unsetOutboundTypes()

### getDialers

    public List<DialerParams> getDialers()

  Gets the value of the dialers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dialers property.

  For example, to add a new item, do as follows:

          getDialers().add(newItem);

  Objects of the following type(s) are allowed in the list `DialerParams`

### isSetDialers

    public boolean isSetDialers()

### unsetDialers

    public void unsetDialers()

### getAgentGroups

    public List<AgentGroupParams> getAgentGroups()

  Gets the value of the agentGroups property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentGroups property.

  For example, to add a new item, do as follows:

          getAgentGroups().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentGroupParams`

### isSetAgentGroups

    public boolean isSetAgentGroups()

### unsetAgentGroups

    public void unsetAgentGroups()

### getShiftMatrix

    public BooleanArray getShiftMatrix()

  Gets the value of the shiftMatrix property.

  Returns:
    possible object is `BooleanArray`

### setShiftMatrix

    public void setShiftMatrix(BooleanArray value)

  Sets the value of the shiftMatrix property.

  Parameters:
    `value` - allowed object is `BooleanArray`

### isSetShiftMatrix

    public boolean isSetShiftMatrix()

### getShifts

    public List<ScheduleShiftParams> getShifts()

  Gets the value of the shifts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shifts property.

  For example, to add a new item, do as follows:

          getShifts().add(newItem);

  Objects of the following type(s) are allowed in the list `ScheduleShiftParams`

### isSetShifts

    public boolean isSetShifts()

### unsetShifts

    public void unsetShifts()

### getRouter

    public RouterParams getRouter()

  Gets the value of the router property.

  Returns:
    possible object is `RouterParams`

### setRouter

    public void setRouter(RouterParams value)

  Sets the value of the router property.

  Parameters:
    `value` - allowed object is `RouterParams`

### isSetRouter

    public boolean isSetRouter()

### getServiceLevelParams

    public List<ServiceLevelParams> getServiceLevelParams()

  Gets the value of the serviceLevelParams property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the serviceLevelParams property.

  For example, to add a new item, do as follows:

          getServiceLevelParams().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceLevelParams`

### isSetServiceLevelParams

    public boolean isSetServiceLevelParams()

### unsetServiceLevelParams

    public void unsetServiceLevelParams()

### getInboundTypeSegments

    public List<SegmentParams> getInboundTypeSegments()

  Gets the value of the inboundTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inboundTypeSegments property.

  For example, to add a new item, do as follows:

          getInboundTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `SegmentParams`

### isSetInboundTypeSegments

    public boolean isSetInboundTypeSegments()

### unsetInboundTypeSegments

    public void unsetInboundTypeSegments()

### getOutboundTypeSegments

    public List<SegmentParams> getOutboundTypeSegments()

  Gets the value of the outboundTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outboundTypeSegments property.

  For example, to add a new item, do as follows:

          getOutboundTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `SegmentParams`

### isSetOutboundTypeSegments

    public boolean isSetOutboundTypeSegments()

### unsetOutboundTypeSegments

    public void unsetOutboundTypeSegments()

### getCallTypeSegments

    public List<SegmentParams> getCallTypeSegments()

  Gets the value of the callTypeSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the callTypeSegments property.

  For example, to add a new item, do as follows:

          getCallTypeSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `SegmentParams`

### isSetCallTypeSegments

    public boolean isSetCallTypeSegments()

### unsetCallTypeSegments

    public void unsetCallTypeSegments()

### getAgentGroupSegments

    public List<SegmentParams> getAgentGroupSegments()

  Gets the value of the agentGroupSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentGroupSegments property.

  For example, to add a new item, do as follows:

          getAgentGroupSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `SegmentParams`

### isSetAgentGroupSegments

    public boolean isSetAgentGroupSegments()

### unsetAgentGroupSegments

    public void unsetAgentGroupSegments()

### getPeriodSegments

    public List<SegmentParams> getPeriodSegments()

  Gets the value of the periodSegments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the periodSegments property.

  For example, to add a new item, do as follows:

          getPeriodSegments().add(newItem);

  Objects of the following type(s) are allowed in the list `SegmentParams`

### isSetPeriodSegments

    public boolean isSetPeriodSegments()

### unsetPeriodSegments

    public void unsetPeriodSegments()

### getDefaultUnit

    public TimeUnitParam getDefaultUnit()

  Gets the value of the defaultUnit property.

  Returns:
    possible object is `TimeUnitParam`

### setDefaultUnit

    public void setDefaultUnit(TimeUnitParam value)

  Sets the value of the defaultUnit property.

  Parameters:
    `value` - allowed object is `TimeUnitParam`

### isSetDefaultUnit

    public boolean isSetDefaultUnit()

### getQueueCapacity

    public int getQueueCapacity()

  Gets the value of the queueCapacity property.

  Returns:
    possible object is `Integer`

### setQueueCapacity

    public void setQueueCapacity(int value)

  Sets the value of the queueCapacity property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetQueueCapacity

    public boolean isSetQueueCapacity()

### unsetQueueCapacity

    public void unsetQueueCapacity()

### getNumPeriods

    public int getNumPeriods()

  Gets the value of the numPeriods property.

### setNumPeriods

    public void setNumPeriods(int value)

  Sets the value of the numPeriods property.

### isSetNumPeriods

    public boolean isSetNumPeriods()

### getPeriodDuration

    public Duration getPeriodDuration()

  Gets the value of the periodDuration property.

  Returns:
    possible object is `Duration`

### setPeriodDuration

    public void setPeriodDuration(Duration value)

  Sets the value of the periodDuration property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetPeriodDuration

    public boolean isSetPeriodDuration()

### getStartingDate

    public XMLGregorianCalendar getStartingDate()

  Gets the value of the startingDate property.

  Returns:
    possible object is `XMLGregorianCalendar`

### setStartingDate

    public void setStartingDate(XMLGregorianCalendar value)

  Sets the value of the startingDate property.

  Parameters:
    `value` - allowed object is `XMLGregorianCalendar`

### isSetStartingDate

    public boolean isSetStartingDate()

### getStartingTime

    public Duration getStartingTime()

  Gets the value of the startingTime property.

  Returns:
    possible object is `Duration`

### setStartingTime

    public void setStartingTime(Duration value)

  Sets the value of the startingTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetStartingTime

    public boolean isSetStartingTime()

### getArrivalsMult

    public double getArrivalsMult()

  Gets the value of the arrivalsMult property.

  Returns:
    possible object is `Double`

### setArrivalsMult

    public void setArrivalsMult(double value)

  Sets the value of the arrivalsMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetArrivalsMult

    public boolean isSetArrivalsMult()

### unsetArrivalsMult

    public void unsetArrivalsMult()

### getPatienceTimesMult

    public double getPatienceTimesMult()

  Gets the value of the patienceTimesMult property.

  Returns:
    possible object is `Double`

### setPatienceTimesMult

    public void setPatienceTimesMult(double value)

  Sets the value of the patienceTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPatienceTimesMult

    public boolean isSetPatienceTimesMult()

### unsetPatienceTimesMult

    public void unsetPatienceTimesMult()

### getServiceTimesMult

    public double getServiceTimesMult()

  Gets the value of the serviceTimesMult property.

  Returns:
    possible object is `Double`

### setServiceTimesMult

    public void setServiceTimesMult(double value)

  Sets the value of the serviceTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetServiceTimesMult

    public boolean isSetServiceTimesMult()

### unsetServiceTimesMult

    public void unsetServiceTimesMult()

### getConferenceTimesMult

    public double getConferenceTimesMult()

  Gets the value of the conferenceTimesMult property.

  Returns:
    possible object is `Double`

### setConferenceTimesMult

    public void setConferenceTimesMult(double value)

  Sets the value of the conferenceTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetConferenceTimesMult

    public boolean isSetConferenceTimesMult()

### unsetConferenceTimesMult

    public void unsetConferenceTimesMult()

### getPreServiceTimesNoConfMult

    public double getPreServiceTimesNoConfMult()

  Gets the value of the preServiceTimesNoConfMult property.

  Returns:
    possible object is `Double`

### setPreServiceTimesNoConfMult

    public void setPreServiceTimesNoConfMult(double value)

  Sets the value of the preServiceTimesNoConfMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPreServiceTimesNoConfMult

    public boolean isSetPreServiceTimesNoConfMult()

### unsetPreServiceTimesNoConfMult

    public void unsetPreServiceTimesNoConfMult()

### getTransferTimesMult

    public double getTransferTimesMult()

  Gets the value of the transferTimesMult property.

  Returns:
    possible object is `Double`

### setTransferTimesMult

    public void setTransferTimesMult(double value)

  Sets the value of the transferTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetTransferTimesMult

    public boolean isSetTransferTimesMult()

### unsetTransferTimesMult

    public void unsetTransferTimesMult()

### getPreviewTimesMult

    public double getPreviewTimesMult()

  Gets the value of the previewTimesMult property.

  Returns:
    possible object is `Double`

### setPreviewTimesMult

    public void setPreviewTimesMult(double value)

  Sets the value of the previewTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPreviewTimesMult

    public boolean isSetPreviewTimesMult()

### unsetPreviewTimesMult

    public void unsetPreviewTimesMult()

### isConvertSchedulesToStaffing

    public boolean isConvertSchedulesToStaffing()

  Gets the value of the convertSchedulesToStaffing property.

  Returns:
    possible object is `Boolean`

### setConvertSchedulesToStaffing

    public void setConvertSchedulesToStaffing(boolean value)

  Sets the value of the convertSchedulesToStaffing property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetConvertSchedulesToStaffing

    public boolean isSetConvertSchedulesToStaffing()

### unsetConvertSchedulesToStaffing

    public void unsetConvertSchedulesToStaffing()

### getAgentsMult

    public double getAgentsMult()

  Gets the value of the agentsMult property.

  Returns:
    possible object is `Double`

### setAgentsMult

    public void setAgentsMult(double value)

  Sets the value of the agentsMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetAgentsMult

    public boolean isSetAgentsMult()

### unsetAgentsMult

    public void unsetAgentsMult()

### getWaitingTimePredictorClass

    public String getWaitingTimePredictorClass()

  Gets the value of the waitingTimePredictorClass property.

  Returns:
    possible object is `String`

### setWaitingTimePredictorClass

    public void setWaitingTimePredictorClass(String value)

  Sets the value of the waitingTimePredictorClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetWaitingTimePredictorClass

    public boolean isSetWaitingTimePredictorClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.